package com.hs.admin.dao;


import com.hs.admin.bean.SysTask;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface SysTaskDao {

    int insert(SysTask record);

    int updateByPrimaryKey(SysTask record);

    Long getTotalCountById(String jcbId);

    Long getTotalCount(String jcbId);

    List<Map> findPage(@Param("jcbId") String jcbId, @Param("index") Integer index, @Param("pageSize") Integer pageSize);

    SysTask findTaskByJcbIdAndCid(@Param("jcbId") String jcbId, @Param("cid") Integer cid);

    Long getRecordTotalCount(Integer cid, String jcbId);

    List<Map> findPageByCid(@Param("cid") Integer cid,@Param("jcbId") String jcbId, @Param("index") Integer index, @Param("pageSize") Integer pageSize);

    void updateJobStatus(SysTask sysTask);

    List<SysTask> getAllTaskList();

    String getContentById(Integer id);

    int deleteByJcbIdAndCid(@Param("jcbId") String jcbId, @Param("cid") Integer cid);

    void deleteByJcbId(String id);
}